#!/usr/bin/env python
import argparse
import subprocess

RESULT = '\033[32m'
WARNING = '\033[33m'
ERROR = '\033[31m'
CRITICAL = '\033[1m \033[31m'
DEFAULT = '\033[0m\033[39m'


def main():
    experiments = dict()
    experiments['p002'] = 2

    parser = argparse.ArgumentParser(description='testing script for auto-ecearth3. ')
    parser.add_argument('-b', '--branch', required=True, help="Branch of auto-ecearth3 to test")
    args = parser.parse_args()

    status = dict()

    for exp in experiments.keys():
        status[exp] = subprocess.call('autosubmit test '
                                      '{0} -c {1} -b "{2}"'.format(exp, experiments[exp], args.branch), shell=True)

    print '\n\nResults:'
    print '==========================='
    for exp in experiments.keys():
        if status[exp] == 0:
            print '{0}: {1}OK{2}'.format(exp, RESULT, DEFAULT)
        else:
            print '{0}: {1}Failed{2}'.format(exp, ERROR, DEFAULT)


if __name__ == "__main__":
    main()
